#
# spec file for package kdeclarative
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5Declarative5
%define _tar_path 5.26
Name:           kdeclarative
Version:        5.26.0
Release:        2.3
%define kf5_version %{version}
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel >= %{_tar_path}
BuildRequires:  kguiaddons-devel >= %{_tar_path}
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kiconthemes-devel >= %{_tar_path}
BuildRequires:  kio-devel >= %{_tar_path}
BuildRequires:  kpackage-devel >= %{_tar_path}
BuildRequires:  kwidgetsaddons-devel >= %{_tar_path}
BuildRequires:  kwindowsystem-devel >= %{_tar_path}
BuildRequires:  libepoxy-devel
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Gui) >= 5.5.0
BuildRequires:  cmake(Qt5Qml) >= 5.5.0
BuildRequires:  cmake(Qt5Quick) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
Summary:        Integration of QML and KDE workspaces
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDeclarative provides integration of QML and KDE workspaces.

%package -n %lname
Summary:        Integration of QML and KDE workspaces
Group:          System/GUI/KDE
# QQmlPropertyMap leaks private but exported QObjectPrivate symbol
# https://bugreports.qt.io/browse/QTBUG-46433 and https://bugs.launchpad.net/bugs/1426335
%requires_eq libQt5Core5
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif

%description -n %lname
KDeclarative provides integration of QML and KDE workspaces.

%package -n libKF5QuickAddons5
Summary:        Integration of QML and KDE workspaces
Group:          System/GUI/KDE

%description -n libKF5QuickAddons5
KDeclarative provides integration of QML and KDE workspaces.

%package -n libKF5CalendarEvents5
Summary:        Integration of QML and KDE workspaces
Group:          System/GUI/KDE

%description -n libKF5CalendarEvents5
KDeclarative provides integration of QML and KDE workspaces.

%package components
Summary:        KDeclarative QML components
Group:          System/GUI/KDE

%description components
KDeclarative provides integration of QML and KDE workspaces.

%package tools
Summary:        KDeclarative tools
Group:          System/GUI/KDE

%description tools
KDeclarative provides integration of QML and KDE workspaces.

%package devel
Summary:        Integration of QML and KDE workspaces: Build Environment
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       %{name}-components = %{version}
Requires:       extra-cmake-modules
Requires:       kconfig-devel >= %{_tar_path}
Requires:       kcoreaddons-devel >= %{_tar_path}
Requires:       kpackage-devel >= %{_tar_path}
Requires:       libKF5CalendarEvents5 = %{version}
Requires:       libKF5QuickAddons5 = %{version}
Requires:       cmake(Qt5Qml) >= 5.5.0

%description devel
KDeclarative provides integration of QML and KDE workspaces.
Development files.

%lang_package -n %lname
%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%post -n libKF5QuickAddons5 -p /sbin/ldconfig

%postun -n libKF5QuickAddons5 -p /sbin/ldconfig

%post -n libKF5CalendarEvents5 -p /sbin/ldconfig

%postun -n libKF5CalendarEvents5 -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Declarative.so.*

%files -n libKF5QuickAddons5
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5QuickAddons.so.*

%files -n libKF5CalendarEvents5
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5CalendarEvents.so.*

%files components
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/qt5/qml/

%files tools
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_bindir}/kpackagelauncherqml

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Declarative.so
%{_kf5_libdir}/libKF5QuickAddons.so
%{_kf5_libdir}/libKF5CalendarEvents.so
%{_kf5_libdir}/cmake/KF5Declarative/
%{_kf5_includedir}/*.h
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_mkspecsdir}/qt_KDeclarative.pri
%{_kf5_mkspecsdir}/qt_QuickAddons.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * [kpackagelauncherqml] Assume desktop file name is same as pluginId
  * Load QtQuick rendering settings from a config file and set default
  * icondialog.cpp - proper compile fix that doesn't shadow m_dialog
  * Fix crash when no QApplication is available
  * Expose translation domain
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Actually emit valueChanged
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Make epoxy optional
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Support selected state
  * KCMShell import can now be used to query for whether opening
    a KCM is actually allowed
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Don't crash if we have no openGL context
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Uniform use of std::numeric_limits
  * [DeclarativeDragArea] Don't override "text" of mime data
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Don't call null object pointer (kde#347962)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Fri Feb 26 2016 hrvoje.senjan@gmail.com
- Add %%requires_eq libQt5Core5 to the libKF5Declarative5 subpackage
  * QQmlPropertyMap leaks private but exported QObjectPrivate symbol:
    https://bugreports.qt.io/browse/QTBUG-46433 and
    https://bugs.launchpad.net/bugs/1426335
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Clean up dependencies for KDeclarative/QuickAddons
  * [KWindowSystemProxy] Add setter for showingDesktop
  * DropArea: Fix correctly ignoring dragEnter event with
    preventStealing
  * DragArea: Implement grabbing delegate item
  * DragDropEvent: Add ignore() function
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Mon Feb  1 2016 hrvoje.senjan@gmail.com
- Add missing libKF5CalendarEvents5 to baselibs.conf
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * [DragArea] Add dragActive property
  * [KQuickControlsAddons MimeDatabase] Expose QMimeType comment
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Port KDeclarative to use KI18n directly
  * DragArea delegateImage can now be a string from which an icon
    is automatically created
  * Add new CalendarEvents library
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * ConfigPropertyMap can now be queried for immutable config
    options using the isImmutable(key) method
  * Unbox QJSValue in config property map
  * EventGenerator: Add support for sending wheel events
  * Fix lost QuickViewSharedEngine initialSize on initializing.
  * Fix critical regression for QuickViewSharedEngine by commit
    3792923639b1c480fd622f7d4d31f6f888c925b9
  * Make pre-specified view size precede initial object size in
    QuickViewSharedEngine
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Small improvements in ColumnProxyModel
  * Make it possible for applications to know path to homeDir
  * Move EventForge from the desktop containment
  * Provide enabled property for QIconItem.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Fix deprecated KRun::run call
  * Same behavior of MouseArea to map coords of filtered child
    events
  * Detect initial face icon being created
  * Don't refresh the entire window when we render the plotter
    (kde#348385)
  * add the userPaths context property
  * Don't choke on empty QIconItem
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
- Drop patches merged upstream:
  0001-Only-resize-plot-texture-if-size-actually-changes.patch
  0001-Don-t-refresh-the-entire-window-when-we-render-the-p.patch
* Mon Jul 27 2015 hrvoje.senjan@gmail.com
- Added 0001-Don-t-refresh-the-entire-window-when-we-render-the-p.patch
  (kde#348385)
* Wed Jul  8 2015 hrvoje.senjan@gmail.com
- Added 0001-Only-resize-plot-texture-if-size-actually-changes.patch
  (kde#346134, kde#348385)
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Add QQC clone of KColorButton
  * Assign a QmlObject for each kdeclarative instance when possible
  * Make Qt.quit() from QML code work
  * Merge branch 'mart/singleQmlEngineExperiment'
  * Implement sizeHint based on implicitWidth/height
  * Subclass of QmlObject with static engine
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Support creation of ConfigModule from KPluginMetdata
  * Fix pressAndhold events
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * Fix crash in texture cache
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
- Added kcoreaddons-devel Requires to devel subpackage
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * Prefer exposing lists to QML with QJsonArray
  * Handle non default devicePixelRatios in images
  * Expose hasUrls in DeclarativeMimeData
  * Allow users to configure how many horizontal lines are drawn
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
- Added kpackage-devel BuildRequires
- Added pkgconfig(Qt5Qml), kconfig-devel and kpackage-devel to
  devel package requires
- Drop kio-devel from devel package requires
- New tools subpackage, containing kpackagelauncherqml tool
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Added a plotter component
  * Added overload method for Formats::formatDuration taking int
  * New properties paintedWidth and paintedHeight added to
    QPixmapItem and QImageItem
  * Fixed painting QImageItem and QPixmapItem
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
- Added libepoxy-devel BuildRequires
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Use Qt's method of blocking for component completion rather
    than our own
  * Make it possible to delay initialization of object incubated
    from QmlObject
  * Add guard when trying to access root object before
    component is complete
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Optimize IconItem in QIconItem in memory and speed
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
- Split out libKF5QuickAddons library, and QML components into
  separate subpackages
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * KDeclarative: added org.kde.kio component.
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
- Drop af7c0f8194.patch, merged upstream
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
- Add af7c0f8194.patch, to improve QML translation API
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
- Added kwidgetsaddons-devel, kwindowsystem-devel, kglobalaccel-devel,
  kcoreaddons-devel and kguiaddons-devel BuildRequires, needed for
  building components imported from plasma-framework
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kdeclarative package
